Page MenuHomePhabricator

CX2: Spellcheck and IME appearing for source sections
Closed, ResolvedPublic

Description

Event Timeline

santhosh created this task.Mar 6 2019, 9:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2019, 9:57 AM
santhosh updated the task description. (Show Details)Mar 6 2019, 9:57 AM

Change 494679 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Disable spellcheck and ime activation in source sections

https://gerrit.wikimedia.org/r/494679

santhosh triaged this task as Normal priority.Mar 6 2019, 9:58 AM
santhosh added a subscriber: Esanders.

@Esanders, Do you think the fix need to be in upstream? I don't see a reason a readonly surface having these attributes enabled.

Sure, seems reasonable.

Change 496499 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] ContentEditableNode: Disable spellcheck when read-only

https://gerrit.wikimedia.org/r/496499

Esanders claimed this task.Mar 14 2019, 6:41 PM

Change 496499 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ContentEditableNode: Disable spellcheck when read-only

https://gerrit.wikimedia.org/r/496499

Change 496473 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8bb1eb598)

https://gerrit.wikimedia.org/r/496473

Change 494679 merged by Petar.petkovic:
[mediawiki/extensions/ContentTranslation@master] Disable spellcheck and ime activation in source sections

https://gerrit.wikimedia.org/r/494679

Change 496703 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Rely on VE code to disable spellchecker for read-only surface

https://gerrit.wikimedia.org/r/496703

Change 496703 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Rely on VE code to disable spellchecker for read-only surface

https://gerrit.wikimedia.org/r/496703

Change 496473 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a61616907)

https://gerrit.wikimedia.org/r/496473

Moving out of VE's QA column as QA will be done by the CX team.

ppelberg closed this task as Resolved.Mar 28 2019, 11:45 PM
ppelberg added subscribers: Pginer-WMF, ppelberg.

@Pginer-WMF is it appropriate for me to mark this task as "Resolved" considering A) and B)?

A)

....QA will be done by the CX team.

B)
This ticket – T217740 – remains in CX's Needs QA - post deployment column.

Pginer-WMF reopened this task as Open.Mar 29 2019, 5:27 PM

@Pginer-WMF is it appropriate for me to mark this task as "Resolved" considering A) and B)?

Well, it depends:

  • If you (or anyone else) verified that the issues is no longer happening, it is ok to mark it as resolved. Marking it as resolved before it is verified has the risk of QA being skipped and potential issues not being surfaced by the QA process. Marking it as resolved conveys the message that no more work is needed (in all workboards).
  • If you want to capture that no additional work is required from the Editing team, you can consider selecting "Edit project tags" and remove VisualEditor for it to disappear for that board.

I did a quick check, and while the spellchecking no longer shows in the source, the input method selector still shows (although just at the top of the document, not for each paragraph). The example below illustrates the issue for the translation of "Lemonade" from English to Hindi:

Given the above, I'm reopening the ticket. But it would be ok to create a separate ticket as a follow-up if it is preferred to capture just the current issue.

I checked the exact example as reported by @Pginer-WMF on hiwiki (1.33.0-wmf.23). IME is displayed in read-only content in the following cases:

In hiwiki start a new translation from English to Hindi.

(1) Click in the source panel in the paragraph and scroll up. IME will be displayed.

(2) In the source panel double click on an image or a reference to open up editing inspector - the fields cannot be edited but IME will be displayed:

(3) (does not happen consistently)

  • select an article for translation that has a infobox or an image as a first element of the artcile.
  • In the source panel click to select an infobox or a picture - IME will be present.

Note: the link inspector opened for links present in the source panel does not present IME.

Spellcheck showing

  • If you want to capture that no additional work is required from the Editing team, you can consider selecting "Edit project tags" and remove VisualEditor for it to disappear for that board.

👆This was precisely the intention behind the question I asked originally – I appreciate how thoughtful you were in deciphering that, @Pginer-WMF

IME selector still showing

As for the the IME selector still showing, I too am seeing that (having the steps described and visualized this clearly was a big help, @Etonkovidova)...we'll take a look.

Change 503503 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/UniversalLanguageSelector@master] Disable ULS in VE readOnly mode

https://gerrit.wikimedia.org/r/503503

Change 503503 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Disable ULS in VE readOnly mode

https://gerrit.wikimedia.org/r/503503

Change 503918 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Remove 'noime' classes from CE section nodes

https://gerrit.wikimedia.org/r/503918

Moving past editing QA again as QA will be done by CX team.

Change 503918 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Remove 'noime' classes from CE section nodes

https://gerrit.wikimedia.org/r/503918

Pginer-WMF closed this task as Resolved.Apr 25 2019, 8:03 AM